# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit rpm

MY_PN="duplicati"
MY_PV="2.0.7.1"
MY_BUILDTYPE="beta"
MY_BUILDDATE="2023-05-25"

MY_BASE_PV="${MY_PV}-${MY_PV}_${MY_BUILDTYPE}"

MY_PV_2="${MY_PN}-${MY_BASE_PV}_${MY_BUILDDATE}"

DESCRIPTION="A backup client that securely stores encrypted, incremental, compressed backups."
HOMEPAGE="https://www.duplicati.com/"
SRC_URI="https://github.com/duplicati/duplicati/archive/refs/tags/v${MY_BASE_PV}_${MY_BUILDDATE}.tar.gz -> ${P}.tar.gz"


RDEPEND="!app-backup/duplicati-bin
	>=dev-lang/mono-5.10"
DEPEND="dev-dotnet/gtk-sharp:3
	virtual/dotnet-sdk:7.0"
BDEPEND="dev-dotnet/nuget"

S="${WORKDIR}/${MY_PV_2}"

LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

PATCHES=(
	"${FILESDIR}/001-Makefile.patch"
	"${FILESDIR}/002-fix-csproj-files-library-backend.patch"
#	"${FILESDIR}/002-fix-csproj-files.patch"
#	"${FILESDIR}/003-fix-duplicati-cli-only-sln.patch"
#	"${FILESDIR}/004-loosen-gtk-check.patch"
)

RDEPEND=""

src_prepare() {
	eapply "${PATCHES[@]}"
	eapply_user
	cp "${FILESDIR}/mono-path-override.props" "${S}"
#	mv "${S}/usr/share/doc/duplicati" "${S}/usr/share/doc/${P}"0
}

src_install() {
	cp -R "${S}/usr/" "${D}/" || die "install failed"
}
